---
# Image of workspace.
# image: gitpod/workspace-full:latest

# List the start up tasks. Learn more:
tasks:
  - name: Script Task
    init: echo 'init script'
    command: echo 'start script'

# List the ports to expose. Learn more:
ports:
  - name: Frontend
    description: Port 3000 for the frontend
    port: 3000
    onOpen: open-preview

# Learn more from ready-to-use templates:
vscode:
  extensions:
    - dbaeumer.vscode-eslint
    - arjun.swagger-viewer
    - streetsidesoftware.code-spell-checker
    - yzhang.markdown-all-in-one
    - DavidAnson.vscode-markdownlint
    - codezombiech.gitignore
    - timonwong.shellcheck
    - esbenp.prettier-vscode
    # - stoplight.spectral - not available
    # - tlahmann.alex-linter
    # - hashhar.gitattributes
